### Method

# GLib Thread unref

since: 2.32

#### Declaration [src]

    void
    g_thread_unref (
      GThread* thread
    )

#### Description [src]

Decrease the reference count on `thread`, possibly freeing all resources associated with it.

Note that each thread holds a reference to its `GThread` while it is running, so it is safe to drop your own reference to it if you don’t need it anymore.

Available since: 2.32

#### Parameters

`thread`

  Type: `GThread`

  A `GThread`.

  The instance takes ownership of the data, and is responsible for freeing it.